import { IBasicVertical, IRow, ITabulator } from '../../../../../../../types/src/table';
import { default as Renderer } from '../Renderer';

export default class BasicVertical extends Renderer implements IBasicVertical {
    scrollTop: number;
    scrollLeft: number;
    constructor(table: ITabulator);
    clearRows(): void;
    renderRows(): void;
    rerenderRows(callback?: () => void): void;
    scrollToRowNearestTop(row: IRow): boolean;
    scrollToRow(row: IRow): void;
    visibleRows(): IRow[];
}
